OpenJPEG: opj_poc Struct Reference

OpenJPEG 2.5.4

Data Fields
opj_poc Struct Reference

Progression order changes. More...

`#include <openjpeg.h>`

## Data Fields
OPJ_UINT32 | resno0
| Resolution num start, Component num start, given by POC.
OPJ_UINT32 | compno0
OPJ_UINT32 | layno1
| Layer num end,Resolution num end, Component num end, given by POC.
OPJ_UINT32 | resno1
OPJ_UINT32 | compno1
OPJ_UINT32 | layno0
| Layer num start,Precinct num start, Precinct num end.
OPJ_UINT32 | precno0
OPJ_UINT32 | precno1
OPJ_PROG_ORDER | prg1
| Progression order enum.
OPJ_PROG_ORDER | prg
OPJ_CHAR | progorder [5]
| Progression order string.
OPJ_UINT32 | tile
| Tile number (starting at 1)
OPJ_UINT32_SEMANTICALLY_BUT_INT32 | tx0
| Start and end values for Tile width and height.
OPJ_UINT32_SEMANTICALLY_BUT_INT32 | tx1
OPJ_UINT32_SEMANTICALLY_BUT_INT32 | ty0
OPJ_UINT32_SEMANTICALLY_BUT_INT32 | ty1
OPJ_UINT32 | layS
| Start value, initialised in pi_initialise_encode.
OPJ_UINT32 | resS
OPJ_UINT32 | compS
OPJ_UINT32 | prcS
OPJ_UINT32 | layE
| End value, initialised in pi_initialise_encode.
OPJ_UINT32 | resE
OPJ_UINT32 | compE
OPJ_UINT32 | prcE
OPJ_UINT32 | txS
| Start and end values of Tile width and height, initialised in pi_initialise_encode.
OPJ_UINT32 | txE
OPJ_UINT32 | tyS
OPJ_UINT32 | tyE
OPJ_UINT32 | dx
OPJ_UINT32 | dy
OPJ_UINT32 | lay_t
| Temporary values for Tile parts, initialised in pi_create_encode.
OPJ_UINT32 | res_t
OPJ_UINT32 | comp_t
OPJ_UINT32 | prc_t
OPJ_UINT32 | tx0_t
OPJ_UINT32 | ty0_t

## Detailed Description

Progression order changes.

## Field Documentation

## ◆ comp_t

OPJ_UINT32 opj_poc::comp_t

## ◆ compE

OPJ_UINT32 opj_poc::compE

Referenced by opj_j2k_get_num_tp(), opj_pi_update_encode_not_poc(), and opj_pi_update_encode_poc_and_final().

## ◆ compno0

OPJ_UINT32 opj_poc::compno0

Referenced by opj_j2k_check_poc_val(), opj_j2k_initialise_4K_poc(), opj_j2k_read_poc(), opj_j2k_setup_encoder(), opj_j2k_write_poc_in_memory(), opj_pi_create_encode(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), opj_pi_next_rpcl(), opj_pi_update_decode_not_poc(), opj_pi_update_decode_poc(), and opj_pi_update_encode_poc_and_final().

## ◆ compno1

OPJ_UINT32 opj_poc::compno1

Referenced by opj_j2k_check_poc_val(), opj_j2k_initialise_4K_poc(), opj_j2k_read_poc(), opj_j2k_setup_encoder(), opj_j2k_write_poc_in_memory(), opj_pi_create_encode(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), opj_pi_next_rpcl(), opj_pi_update_decode_not_poc(), opj_pi_update_decode_poc(), and opj_pi_update_encode_poc_and_final().

## ◆ compS

OPJ_UINT32 opj_poc::compS

Referenced by opj_pi_update_encode_not_poc(), and opj_pi_update_encode_poc_and_final().

## ◆ dx

OPJ_UINT32 opj_poc::dx

Referenced by opj_pi_update_encode_not_poc(), and opj_pi_update_encode_poc_and_final().

## ◆ dy

OPJ_UINT32 opj_poc::dy

Referenced by opj_pi_update_encode_not_poc(), and opj_pi_update_encode_poc_and_final().

## ◆ lay_t

OPJ_UINT32 opj_poc::lay_t

Temporary values for Tile parts, initialised in pi_create_encode.

## ◆ layE

OPJ_UINT32 opj_poc::layE

End value, initialised in pi_initialise_encode.

Referenced by opj_j2k_get_num_tp(), opj_pi_update_encode_not_poc(), and opj_pi_update_encode_poc_and_final().

## ◆ layno0

OPJ_UINT32 opj_poc::layno0

Layer num start,Precinct num start, Precinct num end.

Referenced by opj_pi_create_encode(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), opj_pi_next_rpcl(), opj_pi_update_decode_not_poc(), and opj_pi_update_decode_poc().

## ◆ layno1

OPJ_UINT32 opj_poc::layno1

Layer num end,Resolution num end, Component num end, given by POC.

Referenced by opj_j2k_check_poc_val(), opj_j2k_initialise_4K_poc(), opj_j2k_read_poc(), opj_j2k_setup_encoder(), opj_j2k_write_poc_in_memory(), opj_pi_create_encode(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), opj_pi_next_rpcl(), opj_pi_update_decode_not_poc(), opj_pi_update_decode_poc(), and opj_pi_update_encode_poc_and_final().

## ◆ layS

OPJ_UINT32 opj_poc::layS

Start value, initialised in pi_initialise_encode.

Referenced by opj_pi_update_encode_not_poc(), and opj_pi_update_encode_poc_and_final().

## ◆ prc_t

OPJ_UINT32 opj_poc::prc_t

## ◆ prcE

OPJ_UINT32 opj_poc::prcE

Referenced by opj_j2k_get_num_tp(), opj_pi_update_encode_not_poc(), and opj_pi_update_encode_poc_and_final().

## ◆ prcS

OPJ_UINT32 opj_poc::prcS

Referenced by opj_pi_update_encode_not_poc(), and opj_pi_update_encode_poc_and_final().

## ◆ precno0

OPJ_UINT32 opj_poc::precno0

Referenced by opj_pi_create_encode(), opj_pi_next_lrcp(), opj_pi_next_rlcp(), opj_pi_update_decode_not_poc(), and opj_pi_update_decode_poc().

## ◆ precno1

OPJ_UINT32 opj_poc::precno1

Referenced by opj_pi_create_encode(), opj_pi_next_lrcp(), opj_pi_next_rlcp(), opj_pi_update_decode_not_poc(), and opj_pi_update_decode_poc().

## ◆ prg

OPJ_PROG_ORDER opj_poc::prg

Referenced by opj_j2k_read_poc(), opj_j2k_write_poc_in_memory(), opj_pi_create_encode(), opj_pi_next(), opj_pi_update_decode_not_poc(), opj_pi_update_decode_poc(), opj_pi_update_encode_not_poc(), opj_pi_update_encode_poc_and_final(), opj_t2_decode_packets(), and opj_t2_encode_packets().

## ◆ prg1

OPJ_PROG_ORDER opj_poc::prg1

Progression order enum.

Referenced by opj_j2k_initialise_4K_poc(), opj_j2k_setup_encoder(), opj_pi_update_encode_poc_and_final(), and opj_t2_decode_packets().

## ◆ progorder

OPJ_CHAR opj_poc::progorder[5]

Progression order string.

## ◆ res_t

OPJ_UINT32 opj_poc::res_t

## ◆ resE

OPJ_UINT32 opj_poc::resE

Referenced by opj_j2k_get_num_tp(), opj_pi_update_encode_not_poc(), and opj_pi_update_encode_poc_and_final().

## ◆ resno0

OPJ_UINT32 opj_poc::resno0

Resolution num start, Component num start, given by POC.

Referenced by opj_j2k_check_poc_val(), opj_j2k_initialise_4K_poc(), opj_j2k_read_poc(), opj_j2k_setup_encoder(), opj_j2k_write_poc_in_memory(), opj_pi_create_encode(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), opj_pi_next_rpcl(), opj_pi_update_decode_not_poc(), opj_pi_update_decode_poc(), and opj_pi_update_encode_poc_and_final().

## ◆ resno1

OPJ_UINT32 opj_poc::resno1

Referenced by opj_j2k_check_poc_val(), opj_j2k_initialise_4K_poc(), opj_j2k_read_poc(), opj_j2k_setup_encoder(), opj_j2k_write_poc_in_memory(), opj_pi_create_encode(), opj_pi_next_cprl(), opj_pi_next_lrcp(), opj_pi_next_pcrl(), opj_pi_next_rlcp(), opj_pi_next_rpcl(), opj_pi_update_decode_not_poc(), opj_pi_update_decode_poc(), and opj_pi_update_encode_poc_and_final().

## ◆ resS

OPJ_UINT32 opj_poc::resS

Referenced by opj_pi_update_encode_not_poc(), and opj_pi_update_encode_poc_and_final().

## ◆ tile

OPJ_UINT32 opj_poc::tile

Tile number (starting at 1)

Referenced by opj_j2k_check_poc_val(), opj_j2k_initialise_4K_poc(), and opj_j2k_setup_encoder().

## ◆ tx0

OPJ_UINT32_SEMANTICALLY_BUT_INT32 opj_poc::tx0

Start and end values for Tile width and height.

Referenced by opj_pi_create_encode(), opj_pi_next_cprl(), opj_pi_next_pcrl(), and opj_pi_next_rpcl().

## ◆ tx0_t

OPJ_UINT32 opj_poc::tx0_t

## ◆ tx1

OPJ_UINT32_SEMANTICALLY_BUT_INT32 opj_poc::tx1

Referenced by opj_pi_create_encode(), opj_pi_next_cprl(), opj_pi_next_pcrl(), and opj_pi_next_rpcl().

## ◆ txE

OPJ_UINT32 opj_poc::txE

Referenced by opj_pi_update_encode_not_poc(), and opj_pi_update_encode_poc_and_final().

## ◆ txS

OPJ_UINT32 opj_poc::txS

Start and end values of Tile width and height, initialised in pi_initialise_encode.

Referenced by opj_pi_update_encode_not_poc(), and opj_pi_update_encode_poc_and_final().

## ◆ ty0

OPJ_UINT32_SEMANTICALLY_BUT_INT32 opj_poc::ty0

Referenced by opj_pi_create_encode(), opj_pi_next_cprl(), opj_pi_next_pcrl(), and opj_pi_next_rpcl().

## ◆ ty0_t

OPJ_UINT32 opj_poc::ty0_t

## ◆ ty1

OPJ_UINT32_SEMANTICALLY_BUT_INT32 opj_poc::ty1

Referenced by opj_pi_create_encode(), opj_pi_next_cprl(), opj_pi_next_pcrl(), and opj_pi_next_rpcl().

## ◆ tyE

OPJ_UINT32 opj_poc::tyE

Referenced by opj_pi_update_encode_not_poc(), and opj_pi_update_encode_poc_and_final().

## ◆ tyS

OPJ_UINT32 opj_poc::tyS

Referenced by opj_pi_update_encode_not_poc(), and opj_pi_update_encode_poc_and_final().

The documentation for this struct was generated from the following file:

- openjpeg.h